#include <stdio.h>
#include <stdlib.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <dmedia/moviefile.h>
#include <dmedia/movieplay.h>

main(int argc, char *argv[])
{
    Window          rootwin, win;
    Display        *display;
    XEvent          event;
    int             screen, width, height;

    MVid movie;

    /* Open connection to X server */
    if ((display = XOpenDisplay(NULL)) == NULL) {
	fprintf(stderr, "%s: cannot connect to X server", argv[0]);
	if (getenv("DISPLAY") == NULL)
	    fprintf(stderr,
		    ", `DISPLAY' environment variable not set.\n");
	else
	    fprintf(stderr, " %s\n", XDisplayName(NULL));
	exit(1);
    }

    width = 320;
    height = 240;

    /* Create the appropriate-sized window */
    screen = DefaultScreen(display);
    rootwin = XRootWindow(display, screen);
    win = XCreateSimpleWindow(display, rootwin, 100, 100, width, height,
	       5, BlackPixel(display, screen), BlackPixel(display, screen));

    /* Set the window and icon names for the window manager before mapping it */
    XStoreName(display, win, "X Video Event Handler");
    XSetIconName(display, win, argv[0]);

    XSelectInput(display, win, EVENTMASK);
    XMapWindow(display, win);


    wingc = XCreateGC(display, win, (unsigned long) 0, (XGCValues *) NULL);
    XSetFunction(display, wingc, GXcopy);

    XSelectInput(display, win, ExposureMask | KeyPressMask | ButtonPressMask);
    XSync(display, 0);

    if(mvOpenFile("movie.mv", O_RDONLY, &movie)!=DM_SUCCESS)
       fprintf(stderr, "Error opening movie file\n");

    mvBindWindow(movie, display, win);

    mvPlay(movie)
}
